org.apache.xmlgraphics.java2d

## Interface Graphics2DImagePainter

- All Known Subinterfaces:
    GeneralGraphics2DImagePainter

      public interface Graphics2DImagePainter

  This interface is used to paint vector graphic images. Components that can paint using a Graphics2D instance (i.e. Java2D) can implement this interface to paint themselves.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Dimension` | `getImageSize()`
    `void` | `paint(java.awt.Graphics2D g2d, java.awt.geom.Rectangle2D area)` Called to paint the image.

- - ### Method Detail

    - #### paint

          void paint(java.awt.Graphics2D g2d,
                     java.awt.geom.Rectangle2D area)

      Called to paint the image. Implementations should scale so the image is painted fully inside the given area indicated by then Rectangle2D object.
      Parameters:
        `g2d` - the Graphics2D instance to paint on
        `area` - the target area for the image (in target device units)

    - #### getImageSize

          java.awt.Dimension getImageSize()

      Returns:
        the dimensions (intrinsic size) of the image to be painted in millipoints

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.